API
Electronic Media Search Direct API
The AI-powered Broadcast Media Monitor provides 360° Global Media Data & Intelligence on Television networks, radio stations, broadcast channels, and audiovisual news producers.
مرجع API الإصدار: 1.0.0 4 نقاط النهاية المصادقة
عنوان URL الأساسي
https://pressmonitor.com/api المصادقة
تتطلب جميع الطلبات رؤوس x-api-key و x-subscription-id. يوثّق x-api-key حسابك؛ ويحدّد x-subscription-id الخدمة المشتركة.
x-api-key: YOUR_API_KEY
x-subscription-id: YOUR_SUB_ID GET
/headlines Headlines
بارامترات
| الاسم | نوع | الموقع | مطلوب | الوصف |
|---|---|---|---|---|
| keywords_text | string | query | نعم | Keywords text parameter |
| lang_code | string | query | لا | Lang code parameter |
| country_code | string | query | لا | Country code parameter |
| count | integer | query | لا | Count parameter |
| cursor | string | query | لا | Cursor parameter |
| sort | string | query | لا | Sort order (date or relevance) |
| date_from | string | query | لا | Start date for news (YYYY-MM-DD format) |
| date_to | string | query | لا | End date for news (YYYY-MM-DD format) |
أمثلة الشيفرة
curl -X GET \
"https://pressmonitor.com/api/headlines?keywords_text=VALUE&lang_code=VALUE&country_code=VALUE&count=VALUE&cursor=VALUE&sort=VALUE&date_from=VALUE&date_to=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" الردود
200 Success
GET
/briefs Briefs
بارامترات
| الاسم | نوع | الموقع | مطلوب | الوصف |
|---|---|---|---|---|
| keywords_text | string | query | نعم | Keywords text parameter |
| lang_code | string | query | لا | Lang code parameter |
| country_code | string | query | لا | Country code parameter |
| count | integer | query | لا | Count parameter |
| cursor | string | query | لا | Cursor parameter |
| sort | string | query | لا | Sort order (date or relevance) |
| date_from | string | query | لا | Start date for news (YYYY-MM-DD format) |
| date_to | string | query | لا | End date for news (YYYY-MM-DD format) |
أمثلة الشيفرة
curl -X GET \
"https://pressmonitor.com/api/briefs?keywords_text=VALUE&lang_code=VALUE&country_code=VALUE&count=VALUE&cursor=VALUE&sort=VALUE&date_from=VALUE&date_to=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" الردود
200 Success
GET
/fulltext Fulltext
بارامترات
| الاسم | نوع | الموقع | مطلوب | الوصف |
|---|---|---|---|---|
| keywords_text | string | query | نعم | Keywords text parameter |
| lang_code | string | query | لا | Lang code parameter |
| country_code | string | query | لا | Country code parameter |
| count | integer | query | لا | Count parameter |
| cursor | string | query | لا | Cursor parameter |
| sort | string | query | لا | Sort order (date or relevance) |
| date_from | string | query | لا | Start date for news (YYYY-MM-DD format) |
| date_to | string | query | لا | End date for news (YYYY-MM-DD format) |
أمثلة الشيفرة
curl -X GET \
"https://pressmonitor.com/api/fulltext?keywords_text=VALUE&lang_code=VALUE&country_code=VALUE&count=VALUE&cursor=VALUE&sort=VALUE&date_from=VALUE&date_to=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" الردود
200 Success
GET
/clip Clip
بارامترات
| الاسم | نوع | الموقع | مطلوب | الوصف |
|---|---|---|---|---|
| id | string | query | نعم | Clip/article ID to resolve |
| date | string | query | نعم | Date of the clip (YYYY-MM-DD) |
| ns | string | query | لا | Namespace prefix for multi-tenant index resolution |
| host | string | query | لا | Host name for tenant resolution |
| ttl | integer | query | لا | Signed URL time-to-live in seconds |
أمثلة الشيفرة
curl -X GET \
"https://pressmonitor.com/api/clip?id=VALUE&date=VALUE&ns=VALUE&host=VALUE&ttl=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" الردود
200 Success
